package betterquesting.commands;

import betterquesting.commands.user.QuestCommandHelp;
import betterquesting.commands.user.QuestCommandRefresh;
import betterquesting.commands.user.QuestCommandSPHardcore;
import cpw.mods.fml.common.FMLCommonHandler;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Iterator;
import java.util.List;
import javax.annotation.Nonnull;
import net.minecraft.command.CommandBase;
import net.minecraft.command.CommandException;
import net.minecraft.command.ICommandSender;
import net.minecraft.command.WrongUsageException;

/* loaded from: betterquesting_commands.jar:betterquesting/commands/BQ_CommandUser.class */
public class BQ_CommandUser extends CommandBase {
    private final List<QuestCommandBase> coms = new ArrayList();

    public BQ_CommandUser() {
        this.coms.add(new QuestCommandHelp());
        this.coms.add(new QuestCommandRefresh());
        this.coms.add(new QuestCommandSPHardcore());
    }

    @Nonnull
    public String func_71517_b() {
        return "bq_user";
    }

    @Nonnull
    public String func_71518_a(@Nonnull ICommandSender sender) {
        StringBuilder txt = new StringBuilder();
        for (int i = 0; i < this.coms.size(); i++) {
            QuestCommandBase c = this.coms.get(i);
            txt.append("/bq_user ").append(c.getCommand());
            if (c.getUsageSuffix().length() > 0) {
                txt.append(" ").append(c.getUsageSuffix());
            }
            if (i < this.coms.size() - 1) {
                txt.append(", ");
            }
        }
        return txt.toString();
    }

    public List<String> func_71516_a(ICommandSender sender, String[] strings) {
        if (strings.length == 1) {
            List<String> base = new ArrayList<>();
            Iterator<QuestCommandBase> it = this.coms.iterator();
            while (it.hasNext()) {
                base.add(it.next().getCommand());
            }
            return func_71530_a(strings, (String[]) base.toArray(new String[0]));
        }
        if (strings.length > 1) {
            for (QuestCommandBase c : this.coms) {
                if (c.getCommand().equalsIgnoreCase(strings[0])) {
                    return c.autoComplete(FMLCommonHandler.instance().getMinecraftServerInstance(), sender, strings);
                }
            }
        }
        return Collections.emptyList();
    }

    public int func_82362_a() {
        return 0;
    }

    public boolean func_71519_b(ICommandSender sender) {
        return true;
    }

    public void func_71515_b(ICommandSender sender, String[] args) throws CommandException {
        if (args.length < 1) {
            throw new WrongUsageException(func_71518_a(sender), new Object[0]);
        }
        for (QuestCommandBase c : this.coms) {
            if (c.getCommand().equalsIgnoreCase(args[0])) {
                if (c.validArgs(args)) {
                    c.runCommand(FMLCommonHandler.instance().getMinecraftServerInstance(), this, sender, args);
                    return;
                }
                throw c.getException(this);
            }
        }
        throw new WrongUsageException(func_71518_a(sender), new Object[0]);
    }

    public boolean func_82358_a(String[] args, int index) {
        if (args.length < 1) {
            return false;
        }
        for (QuestCommandBase c : this.coms) {
            if (c.getCommand().equalsIgnoreCase(args[0])) {
                return c.isArgUsername(args, index);
            }
        }
        return false;
    }
}
